org.firebirdsql.gds.impl.jni

## Class LocalGDSFactoryPlugin

- java.lang.Object
- - org.firebirdsql.gds.impl.BaseGDSFactoryPlugin
  - - org.firebirdsql.gds.impl.jni.LocalGDSFactoryPlugin

All Implemented Interfaces:
  GDSFactoryPlugin

    public class LocalGDSFactoryPlugin
    extends BaseGDSFactoryPlugin

### Field Summary

Fields
`static java.lang.String` `LOCAL_TYPE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`LocalGDSFactoryPlugin()`

### Method Summary

Methods
`FbLocalDatabaseFactory` `getDatabaseFactory()`
`java.lang.String` `getDatabasePath(java.lang.String server, java.lang.Integer port, java.lang.String path)`
`java.lang.String` `getPluginName()`
`java.lang.String[]` `getSupportedProtocols()`
`java.lang.String[]` `getTypeAliases()`
`java.lang.String` `getTypeName()`

### Methods inherited from class org.firebirdsql.gds.impl.BaseGDSFactoryPlugin

`equals, getConnectionClass, getDatabasePath, getDefaultProtocol, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOCAL_TYPE_NAME

    public static final java.lang.String LOCAL_TYPE_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### LocalGDSFactoryPlugin

    public LocalGDSFactoryPlugin()

### Method Detail

#### getPluginName

    public java.lang.String getPluginName()

#### getTypeName

    public java.lang.String getTypeName()

#### getTypeAliases

    public java.lang.String[] getTypeAliases()

#### getSupportedProtocols

    public java.lang.String[] getSupportedProtocols()

#### getDatabasePath

    public java.lang.String getDatabasePath(java.lang.String server,
                                   java.lang.Integer port,
                                   java.lang.String path)
                                     throws GDSException

Throws:
  `GDSException`

#### getDatabaseFactory

    public FbLocalDatabaseFactory getDatabaseFactory()